org.richfaces.component

## Class UIPush

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractPush
      - - org.richfaces.component.UIPush

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, ErrorProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIPush
      extends AbstractPush
      implements javax.faces.component.behavior.ClientBehaviorHolder, ErrorProps

  The <a4j:push> component performs real-time updates on the client side from events triggered at the server side. The events are pushed out to the client through the RichFaces messaging queue (which is bound to Java Messaging Service - JMS). When the <a4j:push> component is triggered by a server event, it can in turn cause Ajax updates and changes.

  Author:
    Nick Belaevski, Lukas Fryc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIPush.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPush()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` References the topic on the JMS server that contains the pushed messages
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getOndataavailable()` The client-side script method to be called when a push notification is received
    `String` | `getOnerror()` The client-side script method to be called when an error has occurred with the push notifications
    `String` | `getOnsubscribed()` The client-side script method to be called when push is subscribed successfully to the topic.
    `void` | `setAddress(String address)`
    `void` | `setOndataavailable(String ondataavailable)`
    `void` | `setOnerror(String onerror)`
    `void` | `setOnsubscribed(String onsubscribed)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPush

          public UIPush()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractPush`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getAddress

          public String getAddress()

      Description copied from class: `AbstractPush`
      References the topic on the JMS server that contains the pushed messages
      Specified by:
        `getAddress` in class `AbstractPush`

    - #### setAddress

          public void setAddress(String address)

    - #### getOndataavailable

          public String getOndataavailable()

      Description copied from class: `AbstractPush`
      The client-side script method to be called when a push notification is received
      Specified by:
        `getOndataavailable` in class `AbstractPush`

    - #### setOndataavailable

          public void setOndataavailable(String ondataavailable)

    - #### getOnerror

          public String getOnerror()

      Description copied from class: `AbstractPush`
      The client-side script method to be called when an error has occurred with the push notifications
      Specified by:
        `getOnerror` in interface `ErrorProps`
      Specified by:
        `getOnerror` in class `AbstractPush`

    - #### setOnerror

          public void setOnerror(String onerror)

    - #### getOnsubscribed

          public String getOnsubscribed()

      Description copied from class: `AbstractPush`
      The client-side script method to be called when push is subscribed successfully to the topic.
      Specified by:
        `getOnsubscribed` in class `AbstractPush`

    - #### setOnsubscribed

          public void setOnsubscribed(String onsubscribed)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.